---
type: api
title: Get Deployment upgrade assistant status
description: Get details about an Elasticsearch resource belonging to a given deployment.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud/operation/operation-get-deployment-upgrade-assistant-status
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/cloud/operation/operation-get-deployment-upgrade-assistant-status
products:
  - Elastic Cloud Hosted
---

# Get Deployment upgrade assistant status

- Server: `https://api.elastic-cloud.com/api/v1`

## Paths

- `GET` `/deployments/{deployment_id}/upgrade_assistant/status`

#### Path Parameters

- `deployment_id` (string)
  Identifier for the Deployment

## Description

Get details about an Elasticsearch resource belonging to a given deployment.

## Query String Parameters

- `target_version` (string)
  If present, value is included in resource request to provide additional context (only supported for Kibana)

## Responses

#### `200`

The Upgrade Assistant returned the status successfully

`application/json`

- `ready_for_upgrade` (boolean)
  A boolean indicating whether or not the cluster is ready to be upgraded
- `details` (string)
  Message with information about the number of Elasticsearch and Kibana deprecations
#### `404`

The Deployment specified by {deployment_id} cannot be found. (code: `deployments.deployment_not_found`)

`application/json`

- `errors` ([] BasicFailedReplyElement)
  A list of errors that occurred in the failing request
  - `code` (string)
    A structured code representing the error type that occurred
  - `message` (string)
    A human readable message describing the error that occurred
  - `fields` ([] string)
    If the error can be tied to a specific field or fields in the user request, this lists those fields
##### Response Headers

- `x-cloud-error-codes` (enum)
  The error codes associated with the response

## Code Examples

#### Console

```console
GET /deployments/{deployment_id}/upgrade_assistant/status
```

#### curl

```curl
curl -X GET "https://api.elastic-cloud.com/api/v1/deployments/{deployment_id}/upgrade_assistant/status"
```

